Holger's Java API

## com.antelmann.util.gui
Class AncestorAdapter

    java.lang.Object
      com.antelmann.util.gui.AncestorAdapter

All Implemented Interfaces:
  EventListener, AncestorListener

    public abstract class AncestorAdapter

extends Object
implements AncestorListener

an abstract adapter for an AncestorListener as a convenience

Since:
  1. März 2007, 21:36
Author:
  Holger Antelmann

Constructor Summary
`AncestorAdapter()`

Method Summary
`void` `ancestorAdded(AncestorEvent event)`
`void` `ancestorMoved(AncestorEvent event)`
`void` `ancestorRemoved(AncestorEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AncestorAdapter

    public AncestorAdapter()

Method Detail

### ancestorAdded

    public void ancestorAdded(AncestorEvent event)

  Specified by:
    `ancestorAdded` in interface `AncestorListener`

### ancestorRemoved

    public void ancestorRemoved(AncestorEvent event)

  Specified by:
    `ancestorRemoved` in interface `AncestorListener`

### ancestorMoved

    public void ancestorMoved(AncestorEvent event)

  Specified by:
    `ancestorMoved` in interface `AncestorListener`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads